# rtpdvpay

Payloads DV into RTP packets (RFC 3189)

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstRTPBasePayload
                        ╰──rtpdvpay

## Factory details

Authors: – Marcel Moreaux , Wim Taymans

Classification: – `Codec/Payloader/Network/RTP`

Rank – secondary

Plugin – rtp

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-dv:

Presence – always

Direction – sink

Object type – GstPad

### `src`

    application/x-rtp:
              media: { (string)video, (string)audio }
            payload: [ 96, 127 ]
      encoding-name: DV
         clock-rate: 90000
             encode: { (string)SD-VCR/525-60, (string)SD-VCR/625-50, (string)HD-VCR/1125-60, (string)HD-VCR/1250-50, (string)SDL-VCR/525-60, (string)SDL-VCR/625-50, (string)306M/525-60, (string)306M/625-50, (string)314M-25/525-60, (string)314M-25/625-50, (string)314M-50/525-60, (string)314M-50/625-50 }

Presence – always

Direction – src

Object type – GstPad

## Properties

### mode

    “mode” Dvpay-mode *

The payload mode of payloading

Flags : Read / Write

Default value : video (0)

## Named constants

### Dvpay-mode

#### Members

`video` (0) – Video only
`bundled` (1) – Video and Audio bundled
`audio` (2) – Audio only

The results of the search are